package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * SiteTag
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class SiteTag   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("tagId")
  private String tagId;

  public SiteTag name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Tag name should contain 1 to 128 ASCII characters.
   * @return name
  */
  @ApiModelProperty(value = "Tag name should contain 1 to 128 ASCII characters.")

@Pattern(regexp="^[\\041-\\0176]$|^[\\041-\\0176][\\040-\\0176]{0,126}[\\041-\\0176]$") 
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public SiteTag tagId(String tagId) {
    this.tagId = tagId;
    return this;
  }

  /**
   * Tag ID
   * @return tagId
  */
  @ApiModelProperty(value = "Tag ID")


  public String getTagId() {
    return tagId;
  }

  public void setTagId(String tagId) {
    this.tagId = tagId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteTag siteTag = (SiteTag) o;
    return Objects.equals(this.name, siteTag.name) &&
        Objects.equals(this.tagId, siteTag.tagId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, tagId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteTag {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    tagId: ").append(toIndentedString(tagId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

